<?php

declare(strict_types=1);

namespace App\Framework\EventSourcing;

interface EventStore
{
    public function append(AggregateEnvelope ...$envelopes): void;

    public function loadStream(AggregateId $aggregateId): iterable; //yields AggregateEnvelope
}
